org.apache.ignite.internal.pagemem.wal.record.delta

## Class TrackingPageDeltaRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord
    - - org.apache.ignite.internal.pagemem.wal.record.delta.TrackingPageDeltaRecord

All Implemented Interfaces:
  WalRecordCacheGroupAware

    public class TrackingPageDeltaRecord
    extends PageDeltaRecord

Delta record for updates in tracking pages

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordType`

### Constructor Summary

Constructors
Constructor and Description
`TrackingPageDeltaRecord(int grpId, long pageId, long pageIdToMark, long nextSnapshotTag, long lastSuccessfulSnapshotId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `applyDelta(PageMemory pageMem, long pageAddr)` Apply changes from this delta to the given page.
`long` `lastSuccessfulSnapshotId()`
`long` `nextSnapshotId()`
`long` `pageIdToMark()` Page Id which should be marked as changed
`String` `toString()`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord

`groupId, pageId`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, rollOver, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TrackingPageDeltaRecord

    public TrackingPageDeltaRecord(int grpId,
                                   long pageId,
                                   long pageIdToMark,
                                   long nextSnapshotTag,
                                   long lastSuccessfulSnapshotId)

Parameters:
  `grpId` - Cache group id.
  `pageId` - Page id.
  `nextSnapshotTag` - next snapshot tag
  `lastSuccessfulSnapshotId` - last successful snapshot id

### Method Detail

#### pageIdToMark

    public long pageIdToMark()

Page Id which should be marked as changed

#### nextSnapshotId

    public long nextSnapshotId()

#### lastSuccessfulSnapshotId

    public long lastSuccessfulSnapshotId()

#### applyDelta

    public void applyDelta(PageMemory pageMem,
                           long pageAddr)
                    throws IgniteCheckedException

Apply changes from this delta to the given page. It is assumed that the given buffer represents page state right before this update.

Specified by:
  `applyDelta` in class `PageDeltaRecord`
Parameters:
  `pageMem` - Page memory.
  `pageAddr` - Page address.
Throws:
  `IgniteCheckedException` - If failed.

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

#### toString

    public String toString()

Overrides:
  `toString` in class `PageDeltaRecord`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019